# https://taskfile.dev

version: '3'

vars:
  GREETING: Hello, World!

tasks:
  default:
    cmds:
      - echo "{{.GREETING}}"
    silent: true
  deploy:
    cmds:
      - vendor/bin/dep deploy
  build:
    cmds:
      - vendor/bin/dep build
  ikeaweb01:
    cmds:
      - vendor/bin/dep deploy web01.ttx.sk
      - vendor/bin/dep build web01.ttx.sk
  nuc:
    cmds:
      - vendor/bin/dep deploy nuc.bh.ttx.sk
      - vendor/bin/dep build nuc.bh.ttx.sk
  ssh:
    cmds:
      - vendor/bin/dep ssh
